Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### dist()

Examples

    // Sets the background gray value based on
    // the distance of the mouse from the center
    void draw() {
      float d = dist(50, 50, mouseX, mouseY);
      fill(d*4);
      rect(0, 0, 99, 99);
    }

Description | Calculates the distance between two points.

Syntax

    dist(x1, y1, x2, y2);
    dist(x1, y1, z1, x2, y2, z2);

Parameters

x1 | int or float: x-coordinate of the first point
y1 | int or float: y-coordinate of the first point
z1 | int or float: z-coordinate of the first point
x2 | int or float: x-coordinate of the second point
y2 | int or float: y-coordinate of the second point
z2 | int or float: z-coordinate of the second point

Returns | float
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST